package com.patzn.lims.stomp;

import java.security.Principal;

/**
 * <p>
 * WebSocket 登录用户凭证
 * </p>
 *
 * @author hubin
 * @since 2017-01-02
 */
public class WsPrincipal implements Principal {

    private String userId;

    public WsPrincipal(String userId) {
        this.userId = userId;
    }

    @Override
    public String getName() {
        return this.userId;
    }
}
